qpid::framing::ReplyTo Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
qpid::framing::ReplyTo Class Reference

`#include <qpid/framing/ReplyTo.h>`

List of all members.

## Public Member Functions
| ReplyTo (const std::string &_exchange, const std::string &_routingKey)
| ReplyTo ()
void | setExchange (const std::string &_exchange)
const std::string & | getExchange () const
bool | hasExchange () const
void | clearExchangeFlag ()
void | setRoutingKey (const std::string &_routingKey)
const std::string & | getRoutingKey () const
bool | hasRoutingKey () const
void | clearRoutingKeyFlag ()
void | encode (Buffer &) const
void | decode (Buffer &, uint32_t=0)
void | encodeStructBody (Buffer &) const
void | decodeStructBody (Buffer &, uint32_t=0)
uint32_t | encodedSize () const
uint32_t | bodySize () const
void | print (std::ostream &out) const
## Friends
std::ostream & | operator<< (std::ostream &, const ReplyTo &)

## Constructor & Destructor Documentation

qpid::framing::ReplyTo::ReplyTo | ( | const std::string & | _exchange,
|  | const std::string & | _routingKey
| ) |  | `[inline]`

Definition at line 43 of file ReplyTo.h.

qpid::framing::ReplyTo::ReplyTo | ( |  | ) | `[inline]`

Definition at line 52 of file ReplyTo.h.

## Member Function Documentation

uint32_t qpid::framing::ReplyTo::bodySize | ( |  | ) | const

void qpid::framing::ReplyTo::clearExchangeFlag | ( |  | ) |

void qpid::framing::ReplyTo::clearRoutingKeyFlag | ( |  | ) |

void qpid::framing::ReplyTo::decode | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ReplyTo::decodeStructBody | ( | Buffer & | ,
|  | uint32_t | = `0`
| ) |  |

void qpid::framing::ReplyTo::encode | ( | Buffer & |  | ) | const

uint32_t qpid::framing::ReplyTo::encodedSize | ( |  | ) | const

void qpid::framing::ReplyTo::encodeStructBody | ( | Buffer & |  | ) | const

const std::string& qpid::framing::ReplyTo::getExchange | ( |  | ) | const

const std::string& qpid::framing::ReplyTo::getRoutingKey | ( |  | ) | const

bool qpid::framing::ReplyTo::hasExchange | ( |  | ) | const

bool qpid::framing::ReplyTo::hasRoutingKey | ( |  | ) | const

void qpid::framing::ReplyTo::print | ( | std::ostream & | out | ) | const

void qpid::framing::ReplyTo::setExchange | ( | const std::string & | _exchange | ) |

void qpid::framing::ReplyTo::setRoutingKey | ( | const std::string & | _routingKey | ) |

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | ,
|  | const ReplyTo & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- qpid/framing/ReplyTo.h